package es3;

import java.util.Collection;

/**
 * C.d.L. Informatica
 * Sapienza Universita' di Roma
 * Corso di Metodologie di Programmazione
 * 
 * Prova Scritta del 17/06/2009
 * 
 * Esercizio 3 - 2 parte
 * 
 * Semplice interfaccia per definire Multiset come una estensione di Collection
 * con l'aggiunta di un metodo che conta il numero di occorrenze di un valore
 * 
 * @author Stefano Guerrini 
 * @version Aprile 2009
 */

public interface Multiset<T> extends Collection<T>
{
    /**
     * Numero di occorrenze di un elemento nel multinsieme
     * 
     * @param t     l'elemento di cui occorre contare le occorrenze
     * @return      il numero di occorrenze dell'elemento
     */
    int getQuantity(T t);
}
